
D4Science Infrastructure - Task #9203

Enable access for production EDISON Portal instance

Jul 06, 2017 12:42 PM - Boro Jakimovski

Status: Closed Start date: Aug 21, 2017

Priority: Urgent Due date: Nov 03, 2017

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: EDISON Migration outside CNR   

Infrastructure: Production   

Description

This is a continuation of the ticket #8875 for the production instance.

The production instance has an IP address 194.149.136.227.

They now need to be able to contact some database within CNR Premises.

*NO  jdbc.url: jdbc:postgresql://postgresql-srv-dev.d4science.org:5432/survey-db

ldap.d4science.org (for writing here they will use our script to export the users).

allow access to elasticsearch instance elastic0-p-d4s.d4science.org (port 9300).

Also, the node must be authorised to run in the Production Infrastructure, @lucio.lelii@isti.cnr.it can you take care of this as soon as

they provide us with the IP.

Subtasks:

Task # 9523: EDISON Portal instance IP to be authorised on Production Infrastructure Closed

Task # 9524: Enable D4Science Cassandra cluster to be contacted by EDISON Portal instance Closed

Task # 9525: Enable D4Science ElasticSearch cluster to be contacted by EDISON Portal in... Closed

Task # 9526: Enable Postgres DB "survey-db" on postgresql-srv.d4science.org to be conta... Closed

Task # 9771: Please create read-only user account on D4Science Development LDAP server Closed

Task # 10200: please authorize EDISON Portal production instance  on ldap-liferay.d4sci... Closed

Related issues:

Copied from D4Science Infrastructure - Task #8875: Enable VPN for external gC... Closed Jun 08, 2017 Jun 16, 2017

History

#1 - Jul 06, 2017 12:42 PM - Boro Jakimovski

- Copied from Task #8875: Enable VPN for external gCube Liferay Portal instance (EDISON) added

#2 - Jul 06, 2017 01:05 PM - Massimiliano Assante

- Description updated

Sorry boro, on production we use different Databases and endpoints. So your list is not correct and is not complete. I'll write the complete and correct

list in this ticket soon.

#3 - Aug 01, 2017 11:07 AM - Boro Jakimovski

- Assignee changed from _InfraScience Systems Engineer to Massimiliano Assante

Dear Massimiliano,

can you try to see if we can configure the access to production services for the production site.

Regards,

Boro.

#4 - Aug 01, 2017 11:37 AM - Pasquale Pagano

- Due date changed from Jun 16, 2017 to Aug 30, 2017
@massimiliano.assante@isti.cnr.it is on his summer break. This activity has to be postponed to the end of August. 

#5 - Aug 01, 2017 01:35 PM - Boro Jakimovski

Can we assign another person. It was opened long time ago. We need only the endpoints for he production services, as well as opened ports on the

FW for our production server IP address.

Boro.

#6 - Aug 01, 2017 03:21 PM - Pasquale Pagano

Hi Boro, unfortunately I cannot do it. I have half team on holidays and the other half fully committed. I don't know what was wrong with the schedule

you did with Massimiliano. I will discuss with him later on. We plan all activities well in advance and therefore we cannot change the scheduled

activities with such a short notice. 

#7 - Aug 21, 2017 01:11 PM - Massimiliano Assante

- Status changed from New to In Progress

#9 - Nov 17, 2017 09:50 AM - Massimiliano Assante

- Status changed from In Progress to Closed
